Bug 1002590 - wrong WebUI advice how to regenerate search index
wrong WebUI advice how to regenerate search index
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
560
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Ales Dujicek
:
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
 
Reported: 2013-08-29 09:45 EDT by Martin Korbel
Modified: 2015-01-13 04:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:54:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhn-search (76.90 KB, image/png)
2013-08-29 09:45 EDT, Martin Korbel
no flags Details

  None (edit)
Description Martin Korbel 2013-08-29 09:45:52 EDT
Created attachment 791812 [details]
rhn-search

Description of problem:
When we have a non-consistent searching index data, We can see this error message
"SearchServer index and database entries appear to be out of sync. Please run '/usr/sbin/rhn-search cleanindex'"
But file /usr/sbin/rhn-search does not exist.


Version-Release number of selected component (if applicable):
Sat5.6.0@RHEL6

How reproducible:
10%

Steps to Reproduce:
Sorry, but I have not been success to make reproducer. 
Inasmuch as this bug has not high priority and it is only mistake in text. 
I think the reproducer is not necessary.
The error message you can see in attachmet rhn-search.png

Actual results:
"SearchServer index and database entries appear to be out of sync. Please run '/usr/sbin/rhn-search cleanindex'"

Expected results:
"SearchServer index and database entries appear to be out of sync. Please run 'service rhn-search cleanindex'"
Comment 1 Tomas Lestach 2013-08-30 02:43:21 EDT
Valid bug.
However I am not happy about this change at this time, as it will complicate the merge process of translated strings.

What I did was:
sed -i 's/\/usr\/sbin\/rhn-search cleanindex/service rhn-search cleanindex/' java/code/src/com/redhat/rhn/frontend/strings/java/StringResource_*

Please note I touched 3 different strings:
packages.search.index_files_missing
packages.search.index_files_missing_for_docs
searchserver.index_out_of_sync_with_db


spacewalk.git: 6f3ec5ff59ab8854cd8244c5ac3f3afd66e061f3
Comment 3 Michael Mráka 2013-10-02 10:03:51 EDT
In spacewalk it's been (re)fixed by creating /usr/sbin/rhn-search both on SystemV and systemd based OSes.

commit 4c3e294e7883df195c20b7ee9d5b5818e9c06c3d
    1002590 - unified way how we call rhn-search cleanindex
Comment 5 Clifford Perry 2015-01-13 04:54:13 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.